# wxHtmlTagsModule Class Reference
[HTML]

`#include </home/work/projects/wx/2.9/wx/interface/wx/html/winpars.h>`

Inheritance diagram for wxHtmlTagsModule:
[legend]

## Detailed Description

This class provides easy way of filling wxHtmlWinParser's table of tag handlers.

It is used almost exclusively together with the set of TAGS_MODULE_* macros

##

Library: wxHTML
Category: HTML

See also:
  Tag Handlers, wxHtmlTagHandler, wxHtmlWinTagHandler

## Public Member Functions

virtual void | FillHandlersTable (wxHtmlWinParser *parser)
| You must override this method.

List of all members.

## Member Function Documentation

virtual void wxHtmlTagsModule::FillHandlersTable | ( | wxHtmlWinParser * | parser | ) | `[virtual]`

You must override this method.

In most common case its body consists only of lines of the following type:

            parser -> AddTagHandler(new MyHandler);

It's recommended to use the TAGS_MODULE_* macros.

Parameters:

  | parser | Pointer to the parser that requested tables filling.

|  | [ top ]